Skip to main content
POST
/
internal
/
calls
/
{call_id}
/
complete
Internal Complete Call
curl --request POST \
  --url https://api.oneinbox.ai/internal/calls/{call_id}/complete \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "completed",
  "transcript": "<string>",
  "messages": [
    "<unknown>"
  ],
  "duration_seconds": 123,
  "end_reason": "<string>",
  "ended_at": "2023-11-07T05:31:56Z",
  "analysis": {},
  "latency": {},
  "recording_url": "<string>",
  "outcome": "<string>"
}
'
{}

Path Parameters

call_id
string<uuid>
required

Body

application/json
status
string
default:completed
transcript
string | null
messages
any[] | null
duration_seconds
number | null
end_reason
string | null
ended_at
string<date-time> | null
analysis
Analysis · object
latency
Latency · object
recording_url
string | null
outcome
string | null

Response

Successful Response

The response is of type Response Internal Complete Call Internal Calls Call Id Complete Post · object.